{% extends 'base.html.twig' %}

{% block title %}Hello HomeController!{% endblock %}

{% block body %}
    <table class="table table-responsive" id="productsList">
        <thead>
        <tr>
            <th>ID</th>
            <th>Name</th>
            <th>Ref</th>
            <th>Brand</th>
            <th>URL</th>
            <th>Created At</th>
            <th>#</th>
        </tr>
        </thead>
        <tbody>
        {% for product in pager %}
            <tr>
                <td>{{ product.id }}</td>
                <td>{{ product.name }}</td>
                <td>{{ product.ref }}</td>
                <td>{{ product.brand }}</td>
                <td>
                    <a href="{{ product.url }}" target="_blank" class="btn btn-sm"><i class="fa-solid fa-link"></i></a></td>
                <td>{{ product.createdAT|date('d-m-Y') }}</td>
                <td><a href="{{ path('product_view', {'id': product.id}) }}" class="btn btn-sm btn-primary">Show</a></td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    {{ pagerfanta(pager) }}
{% endblock %}
